--- content/common/BUILD.gn.orig	2024-02-27 21:36:00 UTC
+++ content/common/BUILD.gn
@@ -443,20 +443,29 @@ source_set("common") {
   }
 
   if (is_linux || is_chromeos) {
-    sources += [
-      "gpu_pre_sandbox_hook_linux.cc",
-      "gpu_pre_sandbox_hook_linux.h",
-    ]
+    if (is_bsd) {
+      sources += [
+        "gpu_pre_sandbox_hook_bsd.cc",
+        "gpu_pre_sandbox_hook_bsd.h",
+      ]
+    } else {
+      sources += [
+        "gpu_pre_sandbox_hook_linux.cc",
+        "gpu_pre_sandbox_hook_linux.h",
+      ]
+    }
     public_deps += [ "//sandbox/policy" ]
     deps += [
       ":sandbox_support_linux",
       ":set_process_title_linux",
       "//media/gpu:buildflags",
       "//sandbox/linux:sandbox_services",
-      "//sandbox/linux:seccomp_bpf",
       "//sandbox/policy:chromecast_sandbox_allowlist_buildflags",
       "//third_party/fontconfig",
     ]
+    if (use_seccomp_bpf) {
+      deps += [ "//sandbox/linux:seccomp_bpf" ]
+    }
     if (use_v4l2_codec) {
       deps += [ "//media/gpu/v4l2" ]
     }
@@ -526,6 +535,9 @@ if (is_linux || is_chromeos) {
     public = [ "set_process_title_linux.h" ]
     sources = [ "set_process_title_linux.cc" ]
     deps = [ "//base" ]
+    if (is_bsd) {
+      sources -= [ "set_process_title_linux.cc" ]
+    }
   }
 }
 
